¿Cómo instalo Adobe Acrobat Reader desde el repositorio?

56

¿Cómo instalo Adobe Acrobat Reader en Ubuntu 14.04 usando un repositorio Trusty apt ?

Esto NO es un duplicado de Cómo instalo el paquete de deb de Adobe Acrobat Reader descargado desde el sitio web de Adobe? . En Synaptic > Repositories > Other software habilité "Canonical Partners", pero aún no puedo instalar acroread porque no está disponible en mi sistema de 64 bits.

Aquí está la salida de la consola:

root@liv-inspiron:/home/liv# apt-get install acroread
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package acroread
root@liv-inspiron:/home/liv# apt-get install acroread:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package acroread
    
pregunta landroni 25.04.2014 - 11:07

8 respuestas

66

Es un poco más manual para instalar Adobe Acrobat Reader en Ubuntu 14.04, pero no es difícil.

Abre una terminal.

Tipo:

cd ~/Downloads && wget -c http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb

Eso descarga el archivo DEB de Adobe y lo coloca en su carpeta de Descargas. Siguiente tipo:

sudo dpkg -i AdbeRdr9.5.5-1_i386linux_enu.deb

Eso instalará Adobe Acrobat Reader.

Si está en una máquina de 64 bits, es posible que deba agregar las bibliotecas faltantes que Nim mencionó:

sudo apt-get install libgtk2.0-0:i386 libnss3-1d:i386 libnspr4-0d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libstdc++6:i386

Si desea que Acrobat Reader sea su aplicación predeterminada para archivos PDF, escriba:

mimeopen -d *.pdf

Mostrará una lista de programas (muestra 3 para mí). Selecciona el número que tiene Acrobat Reader. Abrirá Acrobat Reader y dirá que no puede abrir '* .pdf'. Ignore ese error y cierre Adobe Reader. Deberías estar listo ahora.

    
respondido por el G Trawo 03.05.2014 - 11:46
25

En lugar de enumerar explícitamente todas las dependencias, puedes hacer esto:

sudo apt-get install -f

Eso arreglará automáticamente todas las dependencias no resueltas.

Entonces, toda la secuencia de comandos tiene que ser así:

cd ~/Downloads && wget -c http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb
sudo dpkg -i AdbeRdr9.5.5-1_i386linux_enu.deb
sudo apt-get install -f
    
respondido por el Undespairable 17.08.2014 - 21:32
4

Puede verlo en el enlace: ubuntu-updates (vea la columna de la versión) ese paquete acroread no se ha publicado para 14.04 (confiable) todavía.

Por lo tanto, espere hasta que se agreguen a los repositorios de Canonical partners. De lo contrario puede instalar la versión antigua. Ver pregunta similar : Pregunta similar para awn.

En ese caso, obtengo el mismo error para awn: E: Unable to locate package avant-window-navigator

    
respondido por el Pandya 25.04.2014 - 11:26
4
  1. Descargue Adobe Reader desde: enlace .

Seleccione el sistema: Linux, su idioma, Reader 9.5.5 para Linux (.deb)

  1. Instala gdebi:
sudo apt-get install gdebi
  1. Instale Adobe Reader a través de gdebi y acepte las dependencias:
sudo gdebi PACKAGENAME.deb
  1. Instale las bibliotecas requeridas:
sudo apt-get install libgtk2.0-0:i386 libnss3-1d:i386 libnspr4-0d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libstdc++6:i386

Finalmente inicie Adobe Reader desde el menú contextual de los menús, Dash o PDF.

a través de: ubuntuhandbook.org

    
respondido por el Nim 28.04.2014 - 10:17
1

a partir de 2014-10-23 la respuesta sigue siendo "no" (o no puedes)

es poco probable que suceda, también.

la última versión de Acrobat reader para Unix / Linux es 9.5.5

Esto funcionó para mí (la respuesta de undespairable el 17 de agosto no pudo instalar algunos paquetes necesarios) en Xubuntu 14.04

# as root (prefix with sudo if you are running as an unprivileged user)
apt-get install libgtk2.0-0:i386 libnss3-1d:i386 libnspr4-0d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libstdc++6:i386
apt-get install --reinstall gtk2-engines-murrine:i386 gtk2-engines-pixbuf:i386
cd /tmp && wget -c http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb
dpkg -i AdbeRdr9.5.5-1_i386linux_enu.deb

después de la prueba:

rm -rf /tmp/acroread_1000_1000
rm /tmp/AdbeRdr9.5.5-1_i386linux_enu.deb
    
respondido por el Derek Shaw 24.10.2014 - 20:49
0

Intenta usar la Terminal:

sudo apt-get install acroread

y si no funciona, use:

sudo apt-get install acroread:i386

Editar: Primero usa los siguientes comandos:

sudo apt-add-repository multiverse
sudo apt-get update
    
respondido por el aastefanov 25.04.2014 - 11:12
0

Hoy probé con éxito lo siguiente en una instalación nueva de kUbuntu 14.04.4 (una versión oficial de Ubuntu).

Agregar PPA canónico

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner"

Actualizar e instalar

sudo aptitude update  
sudo aptitude install acroread  

Funciona en kUbuntu 14.04 LTS
A partir del 30 de abril de 2016, no funciona en el nuevo kUbuntu 16.04 LTS

    
respondido por el jtlindsey 19.02.2016 - 16:58
-1

Cómo finalmente instalé Acrobat Reader en Ubuntu 14.04 en una máquina de 64 bits:

  1. Descargué la versión .deb de adobe.com;

  2. Instale el paquete usando gedbi ;

  3. Instala las bibliotecas:

    sudo apt-get install libgtk2.0-0:i386 libnss3-1d:i386 libnspr4-0d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libstdc++6:i386 
    

¡Hecho!

    
respondido por el ionelf 04.05.2014 - 08:28

Lea otras preguntas en las etiquetas